input {
    kb_layout = fr
    repeat_rate = 50
    repeat_delay = 300

    follow_mouse = 1
    touchpad {
        natural_scroll = yes
    }

    sensitivity = -0.3 # -1.0 - 1.0, 0 means no modification.
    accel_profile = flat
}

# Gruvbox variables
$bg = rgb(282828)
$bg1 = rgb(3c3836)
$bg2 = rgb(504945)
$fg = rgb(ebdbb2)
$red = rgb(cc241d)
$green = rgb(98971a)
$yellow = rgb(d79921)
$blue = rgb(458588)
$purple = rgb(b16286)
$aqua = rgb(689d6a)
$orange = rgb(d65d0e)

# Monitor configuration
monitor=,preferred,auto,1

# General configuration
general {
    gaps_in = 5
    gaps_out = 10
    border_size = 2
    col.active_border = $green $blue 45deg
    col.inactive_border = $bg2
    layout = dwindle
}

# Window decoration
decoration {
    rounding = 8
    active_opacity = 1.0
    inactive_opacity = 0.95
    blur {
        enabled = true
        size = 5
        passes = 2
        new_optimizations = true
    }
}

# Animations
animations {
    enabled = true
    bezier = myBezier, 0.05, 0.9, 0.1, 1.05
    animation = windows, 1, 7, myBezier
    animation = windowsOut, 1, 7, default, popin 80%
    animation = border, 1, 10, default
    animation = fade, 1, 7, default
    animation = workspaces, 1, 6, default
}

# Layout
dwindle {
    pseudotile = true
    preserve_split = true
}

misc {
    disable_splash_rendering = true
    disable_hyprland_logo = true
}

# Basic workspaces configuration
workspace=1,default:true
workspace=2
workspace=3
workspace=4
workspace=5
workspace=HDMI-A-1,6
workspace=HDMI-A-1,7
workspace=HDMI-A-1,8
workspace=HDMI-A-1,9
workspace=HDMI-A-1,0

# Window rules
windowrule = float, ^(pavucontrol)$
windowrule = float, ^(nm-connection-editor)$
windowrule = float, ^(rofi)$

# Autostart
exec-once = waybar
exec-once = hyprpaper
exec-once = dunst

source = ~/.config/hypr/keybindings.conf
source = ~/.config/hypr/env.conf
